PROC FORMAT ;
  VALUE conso
     0 -<6    = "<6"
     6 -<8    = "6-8"
     8 -<10   = "8-10"
    10 - HIGH = ">10"
  ;
RUN ;
ODS EXCLUDE ALL ;
ODS OUTPUT chiSq = work.chi2 ;
PROC FREQ DATA = livre.voitures ;
  TABLE type * conso_auto / CHISQ ;
  FORMAT conso_auto conso. ;
RUN ;
ODS SELECT ALL ;
TITLE ;
OPTION NODATE NONUMBER ;
ODS ESCAPECHAR = "^" ;
ODS PDF FILE = "c:\temp\chi2.pdf" NOTOC ;
PROC PRINT DATA = work.chi2 (OBS=1) LABEL NOOBS SPLIT="#" ;
  VAR value prob df ;
  LABEL value = "^S={FONT_FACE='Symbol'}c^S={}^{super 2}"
         prob = "^S={FONT_FACE='Symbol'}p^S={}-value#
                 (H^{sub 0}=indpendance)"
           df = "Degrs#de#libert" ;
  FORMAT value NUMX12.2 prob NUMX8.5 ;
RUN ;
ODS PDF CLOSE ;
