/* partie 1 : dfinition d'un modle tabulaire */
PROC TEMPLATE ;                                                                
  EDIT Base.Summary ; /* objet commun aux procdures Means et Summary */
    COLUMN class nobs varname label mean stddev 
           min p1 p5 p10 q1 median q3 p90 p95 p99 max ;                    
      DEFINE HEADER quantiles ;
        TEXT "Quantiles de la distribution" ;
        START = min ;
          END = max ;
      END ;
      DEFINE FOOTER note ;
        TEXT "Formule :#(*ESC*){super 1}/(*ESC*){sub (n-1)}(*ESC*)S={font_face='Symbol'}S(*ESC*)S={}(x(*ESC*){sub i}-mean)(*ESC*){super 2}" ;
        START = stddev ;
          END = stddev ;
        SPLIT = "#" ;
      END ;
  END ;
RUN ;
/* partie 2 : utilisation du modle */
ODS PDF FILE = "c:\temp\template.pdf" NOTOC ;
PROC MEANS DATA = livre.voitures MEAN STD MIN MEDIAN MAX MAXDEC=2 ;
  VAR puissance ;
  CLASS type ;
RUN ;
ODS PDF CLOSE ;
